<template>
  <div class="detail-content">
    <div class="action-btn">
      <button class="btn" @click="this.$router.replace('/')">Back</button>
    </div>
    <div v-if="detailsItem">
      <iframe :src="detailsItem.url" class="details-frame"></iframe>
    </div>
  </div>
</template>
<script>
export default {
  computed: {
    detailsItem() {
      return this.$store.getters.getDetailItem;
    },
  },
};
</script>
<style scopped>
.detail-content {
  margin-top: 50px;
}
.details-frame {
  width: 100%;
  height: calc(100vh - 120px);
}
.action-btn {
  padding: 10px;
  text-align: left;
  background: white;
}
</style>
